Knowledge base | Exodus

My wallet file is damaged ( RangeError Corrupted )

If Exodus tells you any of the following:
  • Cannot open the wallet. The wallet may be corrupted.
  • RangeError: not enough data for decode
  • Exodus cannot open your wallet. Your assets are safe but the wallet may be damaged.
  • Wallet Load Error: Not Enough Data for Decode
Your computer may have shut down suddenly, or Exodus did not close properly. The following steps will restore your Exodus wallet from backup.
 
  1. Download the latest version of Exodus from www.exodus.io/releases/ - new versions of Exodus (as of 1.25.0) have advanced features in place to safeguard against damaged wallet files.
  2. Install Exodus over your old version. Installing a new version over an old version is safe. Exodus keeps your blockchain assets in a seperate location.
  3. If you launched Exodus after the upgrade, quit Exodus. 
  4. Open your email and click on your Exodus backup link.
  5. Exodus will prompt you for your password. Type your password and click "Unlock"
  6. Exodus will ask if you want to destroy your old wallet. In this case, becasue your old wallet is damaged click the red button "Yes, distroy and recover".
  7. Wait 15 - 30 seconds and your blockchain assets will be restored!

Alternatively if you don't have access to your email backup link you can also restore from your 12-word-seed.

If you don't have a backup Exodus can still help you recover your blockchain assets. Questions? Problems? Reach out to get in contact with us and we will help you though the process.